Skip to main content
POST
Mint a preview session for a merchant-owned invoice

Authorizations

Authorization
string
header
required

Merchant API key bearer token.

Body

application/json
invoiceId
string
required
Minimum string length: 1
merchantId
string
required
Minimum string length: 1

Response

Preview session minted. Pass the token as a Bearer token to GET /checkout/sessions/:id to load the payable projection (including logoUrl when set).

sessionId
string
required
Minimum string length: 1
token
string
required
Minimum string length: 1
expiresAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$